#!/bin/sh
#
# Author: pr2
# for: http://www.streamboard.tv
#
# Version: 1.0
# Date: 2013-03-20
#
#
# Variables definition
#
# lamedb is normally located in /etc/enigma2
#
TMPPATH="/tmp/"
################################################
# Change it if you know what you do:
#
CHANNELFILE="index.idx"
#

if [ $# -lt 1 ]
   then
	printf "ERROR: please provide the following parameter:\n"
	printf "%s \"full_path_to_lamedb_folder\"\n" $0
	printf "example:\n"
	printf "%s \"/etc/enigma2/\"\n" $0
	exit 5
fi

LAMEDB="$1""/lamedb"

printf "Starting %s\n" $0

if [ ! -f "$LAMEDB" ]; then
	printf "ERROR: lamedb file %s not found \n" "$LAMEDB"
	exit 5
fi

firstline=$(awk '/^services$/ { print FNR }' $LAMEDB)
tail -n +$(($firstline + 1)) "$LAMEDB" > $TMPPATH/lamedb.tmp
awk -F ":" -v CHANNELFILE="$CHANNELFILE" ' BEGIN { currentline=0
				srvid1=""
				srvid2=""
				srvid3=""
				srvidtype=""
				name=""
				provider=""}
	/^p:/ {  currentline=0
		    provider=$1
			printf "%04s:%08s:%04s|%s|%s|\n", srvid1, srvid2, srvid3, name, srvidtype > ""CHANNELFILE""
			next
		}
	/end/ {  next
		}

	// { currentline=currentline+1
		if ( currentline==1 ) {  
				srvid1=toupper($1)
				srvid2=toupper($2)
				srvid3=toupper($3)
				if (($5=="1") || ($5=="25")) { srvidtype="TV" }
				else { if ($5 == "2") { srvidtype="RADIO" }
						else { srvidtype="DATA" } }
			}
		else { name=$0 }
		next
		}
	' $TMPPATH/lamedb.tmp

printf "\nFile %s created.\n" $CHANNELFILE
printf "Done.\n"