#!/bin/sh
#
# Author: pr2
# for: http://www.streamboard.tv
#
# Version: 1.0
# Date: 2013-03-21
#

IPADDR=$(ip addr show eth0 | awk '/inet / { print $2 }' | awk -F '/' '// { print $1  }')

if [  ${#IPADDR} -eq 0 ]; then
	IPADDR="192.168.1.123"
fi

if [ $# -lt 2 ]
   then
	printf "ERROR: Incorrect number of parameters, please provide the following parameters:\n"
	printf "%s \"full_path_to_userbouquet_folder\" \"SERVER_IP\" \"SERVER_PORT\"\n" $0
	printf "\"SERVER_PORT\" is optional defautl value is \"8001\"\n"
	printf "example:\n"
	printf "%s \"/etc/enigma2/\" \"%s\"\n" $0 $IPADDR
	exit 5
fi

SERVERIP="$2"
PATHTOFILES="$1"


if [ $# -eq 3 ]
	then
		SERVERPORT="$3"
	else
		SERVERPORT="8001"
fi


./1lamedb.sh $PATHTOFILES

for BOUQUET in $PATHTOFILES/userbouquet.*
  do
	if [ $BOUQUET != $PATHTOFILES/"userbouquet.LastScanned.tv" ]; then
		((i++))
		printf "%i - Processing bouquet [%s]\n" $i $BOUQUET
		./2genm3u.sh "$BOUQUET" "$SERVERIP" "$SERVERPORT"
	fi
  done
	
clear
printf "Transfer all the playlist-*.m3u files to your client and open them with VLC.\n"
printf "\nVLC homepage: http://www.videolan.org/\n"
printf "\nEnjoy! By Pr2 for http://www.streamboard.tv\n"
